## org.bn.compiler.parser.model
Class ASN1Model

    java.lang.Object
      org.bn.compiler.parser.model.ASN1Model

All Implemented Interfaces:
  java.io.Serializable

    public class ASN1Model

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`ASNModule` `module`
`java.lang.String` `moduleDirectory`
`java.lang.String` `moduleNS`
`java.lang.String` `outputDirectory`
`java.lang.String[]` `runtimeArguments`

Constructor Summary
`ASN1Model()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### moduleDirectory

    public java.lang.String moduleDirectory

### outputDirectory

    public java.lang.String outputDirectory

### runtimeArguments

    public java.lang.String[] runtimeArguments

### moduleNS

    public java.lang.String moduleNS

### module

    public ASNModule module

Constructor Detail

### ASN1Model

    public ASN1Model()